Skip to main content
POST
/
v1
/
audio
/
transcriptions
Create Audio Transcription
curl --request POST \
  --url https://api.ldx.dev/v1/audio/transcriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form model=whisper-1 \
  --form language= \
  --form prompt= \
  --form response_format=json \
  --form temperature=0 \
  --form timestamp_granularities=
{
  "text": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.liandanxia.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

See endpoint details.

model
string
required
Example:

"whisper-1"

language
string

See endpoint details.

Example:

""

prompt
string
Example:

""

response_format
enum<string>
default:json
Available options:
json,
text,
srt,
verbose_json,
vtt
Example:

"json"

temperature
number
Example:

0

timestamp_granularities
enum<string>[]
Available options:
word,
segment
Example:

""

Response

200 - application/json

See endpoint details.

text
string